polybori::groebner::PairE Class Reference

This class defines PairE. More...

`#include <PairE.h>`

## Public Member Functions

int | getType () const
| PairE (const PairE &rhs)
Polynomial | extract (const PolyEntryVector &v) const
| PairE (int i, int j, const PolyEntryVector &v)
| PairE (int i, idx_type v, const PolyEntryVector &gen, int type)
| PairE (const Polynomial &delayed)
const PolyPairData & | delayedPair () const
const IJPairData & | ijPair () const
const VariablePairData & | variablePair () const

## Public Attributes

wlen_type | wlen
deg_type | sugar
pair_data_ptr | data
Exponent | lm

## Detailed Description

This class defines PairE.

## Constructor & Destructor Documentation

polybori::groebner::PairE::PairE | ( | const PairE & | rhs) |  |

inline

polybori::groebner::PairE::PairE | ( | int | i,
|  | int | j,
|  | const PolyEntryVector & | v
| ) |  |

inline

polybori::groebner::PairE::PairE | ( | int | i,
|  | idx_type | v,
|  | const PolyEntryVector & | gen,
|  | int | type
| ) |  |

inline

References PBORI_ASSERT, and polybori::groebner::VARIABLE_PAIR.

polybori::groebner::PairE::PairE | ( | const Polynomial & | delayed) |  |

inline

## Member Function Documentation

const PolyPairData& polybori::groebner::PairE::delayedPair | ( | ) |  | const

inline

References polybori::groebner::DELAYED_PAIR, and PBORI_ASSERT.

Polynomial polybori::groebner::PairE::extract | ( | const PolyEntryVector & | v) |  | const

inline

Referenced by polybori::groebner::NextSpoly::operator()().

int polybori::groebner::PairE::getType | ( | ) |  | const

inline

Referenced by polybori::groebner::NextSpoly::compute(), and polybori::groebner::CheckChainCriterion< StrategyType >::operator()().

const IJPairData& polybori::groebner::PairE::ijPair | ( | ) |  | const

inline

References polybori::groebner::IJ_PAIR, and PBORI_ASSERT.

Referenced by polybori::groebner::NextSpoly::compute(), and polybori::groebner::CheckChainCriterion< StrategyType >::operator()().

const VariablePairData& polybori::groebner::PairE::variablePair | ( | ) |  | const

inline

Referenced by polybori::groebner::NextSpoly::compute(), and polybori::groebner::CheckChainCriterion< StrategyType >::operator()().

## Member Data Documentation

pair_data_ptr polybori::groebner::PairE::data

Exponent polybori::groebner::PairE::lm

Referenced by polybori::groebner::PairECompare::operator()(), and polybori::groebner::CheckChainCriterion< StrategyType >::operator()().

deg_type polybori::groebner::PairE::sugar

Referenced by polybori::groebner::PairECompare::operator()().

wlen_type polybori::groebner::PairE::wlen

Referenced by polybori::groebner::PairECompare::operator()().

The documentation for this class was generated from the following file:

- PairE.h